Page MenuHomePhabricator

Spike: integrate text and spatial search
Closed, ResolvedPublic

Description

Even though we store both text (CirrusSearch) and coordinates (GeoData) in the same indexes, they are searched separately. I propose to figure out what can be done to fill this gap. Possiblities include:

  • Ranking text results by proximity to user
  • Restricting search to certain regions
  • Adding geo-related keywords to text searches ("landmark around:37.78,-122.42")
    • Would require making the CirrusSearch keywords system extendable

Related Objects

Event Timeline

MaxSem created this task.Sep 9 2015, 11:21 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added projects: CirrusSearch, Maps, GeoData.
MaxSem added a subscriber: MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptSep 9 2015, 11:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I could see some interesting follow ups to this.

  • Proximity based search could impact mobile devices very significantly. We could pilot a treatment of search that was specific to mobile devices and heavily weighed location for relevance [User satisfaction KPI]
  • Geo-related keywords could be really interesting as components of our relevance function. This is assuming we can break down a query into its sub parts and analyze them far deeper then simply prefix of full text search [User satisfaction KPI]
  • Region search is bit tougher as it would likely run behind another tool making it tougher to have a specific user story at this point. [Developer Happiness?]

Curious to see what @Deskana and @EBernhardson think

Yurik moved this task from All map-related tasks to Tracking on the Maps board.Feb 7 2016, 10:32 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 7 2016, 10:32 PM
MaxSem updated the task description. (Show Details)Jun 7 2016, 6:56 PM
MaxSem set Security to None.
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 7 2016, 6:56 PM
debt triaged this task as Medium priority.Jun 16 2016, 10:26 PM
debt moved this task from needs triage to later on... on the Discovery-Search board.

@MaxSem @Yurik this seems closeable with the new full text geo features?

MaxSem closed this task as Resolved.Jul 19 2016, 6:12 PM
MaxSem claimed this task.